%define upstream_name    Data-GUID
%define upstream_version 0.051

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Globally unique identifiers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::UUID) >= 1.148.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Sub::Exporter) >= 0.900.0
BuildRequires: perl(Sub::Install) >= 0.30.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(bytes)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Data::GUID provides a simple interface for generating and using globally
unique identifiers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.51.0-2.mga10
+ Revision: 2217093
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 tv <tv> 0.51.0-1.mga9
+ Revision: 1928976
- update to 0.051

* Mon Mar 21 2022 umeabot <umeabot> 0.50.0-2.mga9
+ Revision: 1814622
- Mageia 9 Mass Rebuild

* Wed Jun 23 2021 tv <tv> 0.50.0-1.mga9
+ Revision: 1731816
- update to 0.050

* Wed Feb 12 2020 umeabot <umeabot> 0.49.0-3.mga8
+ Revision: 1503714
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.49.0-2.mga7
+ Revision: 1282625
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 0.49.0-1.mga7
+ Revision: 1134058
- update to 0.049

* Sat Jun 18 2016 pterjan <pterjan> 0.48.0-6.mga6
+ Revision: 1024806
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.48.0-5.mga6
+ Revision: 937558
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.48.0-4.mga6
+ Revision: 937126
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.48.0-3.mga5
+ Revision: 749547
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.48.0-2.mga5
+ Revision: 684203
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.48.0-1.mga5
+ Revision: 586429
- update to 0.048

* Sat Oct 19 2013 umeabot <umeabot> 0.47.0-2.mga4
+ Revision: 529486
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 jquelin <jquelin> 0.47.0-1.mga4
+ Revision: 451975
- update to 0.047

* Sun Jan 13 2013 umeabot <umeabot> 0.46.0-2.mga3
+ Revision: 365342
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 30 2011 dmorgan <dmorgan> 0.46.0-1.mga1
+ Revision: 44769
- New version

* Sat Jan 22 2011 jquelin <jquelin> 0.45.0-1.mga1
+ Revision: 31871
- mageia rebuild
- imported package perl-Data-GUID


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.45.0-1mdv2011.0
+ Revision: 624769
- import perl-Data-GUID

